Subject: Re: [PATCH net] selftests: netdevsim: Fix ethtool-coalesce.sh fail by installing ethtool-common.sh

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Oct 2025 17:08:42 -0700

On Tue, 28 Oct 2025 17:14:03 +0000 Simon Horman wrote:
> > +TEST_FILES := ethtool-common.sh
> > +
> >  include ../../../lib.mk  
> 
> Hi Wang Liang,
> 
> As per commit f07f91a36090 ("selftests: net: unify the Makefile formats")
> I think the desired format is as follows (completely untested!):
> 
> TEST_FILES := \
> 	ethtool-common.sh \
> # end of TEST_PROGS

I believe we (intentionally) allow simple single entry assignment like
in this patch. But there have been bugs in this check which I only fixed
last weekend so please LMK if I'm missing something..